// Code generated by tablegen. DO NOT EDIT.
package tables

func (t AllTables) EventKindStreakTypes() EventKindStreakTypes { return EventKindStreakTypes(t) }

type EventKindStreakTypes struct{ alias string }

func (t EventKindStreakTypes) TableAlias() string { return t.alias }
func (t EventKindStreakTypes) name() string       { return "EventKindStreakTypes" }
func (t EventKindStreakTypes) TableName() string  { return tableName(t.name(), "", t.alias) }
func (t EventKindStreakTypes) AllColumnNames() []string {
	c := t.Columns()
	return []string{
		c.EventKind(),
		c.StreakType(),
	}
}

func (t EventKindStreakTypes) Columns() EventKindStreakTypesCols {
	return EventKindStreakTypesCols{tableAlias: t.alias}
}

type EventKindStreakTypesCols struct{ tableAlias string }

func (c EventKindStreakTypesCols) EventKind() string  { return colName(c.tableAlias, "EventKind") }  // STRING(100)
func (c EventKindStreakTypesCols) StreakType() string { return colName(c.tableAlias, "StreakType") } // INT64
